View Issue Details

IDProjectCategoryView StatusLast Update
0018035LazarusIDEpublic2014-02-05 23:41
ReporterKon GolovatzkiyAssigned ToMartin Friebe 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version1.0.0 
Summary0018035: "Watch list" window does not remember it's column widths
DescriptionThe Watches window stores it's position and monitored values but not column widths. On every IDE start the Expression column needs to be resized.

Platform win32/64. Lazarus svn 28437.
TagsNo tags attached.
Fixed in Revision33270
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0018220 resolvedMartin Friebe lazarus call stack, locals, watch list - horizontal scroll broken in gtk2 

Activities

Martin Friebe

2011-09-17 15:28

manager   ~0051946

Last edited: 2011-09-17 15:40

fixed for watches in rev 32383

Keeping the report open for now, as other dbg windows have columns too, and are not yet fixed.

Martin Friebe

2011-11-03 18:57

manager   ~0053783

All debugger dialogs are now able to restore their column widths.

The widths are stored together with the form layout. (Tools / Options / Window)
They support similar options as the windows (custom, restore, default)

Issue History

Date Modified Username Field Change
2010-11-24 00:25 Kon Golovatzkiy New Issue
2010-11-24 00:25 Kon Golovatzkiy Widgetset => Win32/Win64
2010-11-24 00:54 Martin Friebe LazTarget => 1.0
2010-11-24 00:54 Martin Friebe Status new => acknowledged
2010-11-24 00:54 Martin Friebe Target Version => 1.0.0
2011-01-03 14:04 Martin Friebe Relationship added related to 0018220
2011-09-17 15:27 Martin Friebe Status acknowledged => assigned
2011-09-17 15:27 Martin Friebe Assigned To => Martin Friebe
2011-09-17 15:28 Martin Friebe Note Added: 0051946
2011-09-17 15:40 Martin Friebe Note Edited: 0051946
2011-11-03 18:57 Martin Friebe Fixed in Revision => 33270
2011-11-03 18:57 Martin Friebe LazTarget 1.0 => 0.99.0
2011-11-03 18:57 Martin Friebe Status assigned => resolved
2011-11-03 18:57 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-11-03 18:57 Martin Friebe Resolution open => fixed
2011-11-03 18:57 Martin Friebe Note Added: 0053783
2014-02-05 23:41 Flávio Etrusco (notifications not working) Status resolved => closed
2014-02-05 23:41 Flávio Etrusco (notifications not working) Fixed in Version 0.9.31 (SVN) => 1.0.0